﻿/**Begin D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCBORROW') 
 CREATE TABLE T_PMDC_DOCBORROW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNOTE VARCHAR(255) DEFAULT ' ' NOT NULL,
FBORROWUSER BIGINT DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCBORROW_L') 
 CREATE TABLE T_PMDC_DOCBORROW_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FNOTE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_BORROWLISTENTRY') 
 CREATE TABLE T_PMDC_BORROWLISTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDOCITEMID BIGINT DEFAULT 0 NOT NULL,
FDOCLIB BIGINT DEFAULT 0 NOT NULL,
FDOCDIRECTORY BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
